Package com.saxonica.trans

## Class PackageLoaderPE

- java.lang.Object
- - net.sf.saxon.trans.PackageLoaderHE
  - - com.saxonica.trans.PackageLoaderPE

- All Implemented Interfaces:
    `IPackageLoader`
  Direct Known Subclasses:
    `PackageLoaderEE`

      public class PackageLoaderPE
      extends PackageLoaderHE

  This class reads the XML exported form of a package and reconstructs the package object in memory.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.trans.PackageLoaderHE

      `PackageLoaderHE.ExpressionLoader, PackageLoaderHE.PatternLoader`

  - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.trans.PackageLoaderHE

      `allPackages, completionActions, eMap, fixups, licensableConstructs, localBindings, packStack, userFunctions`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PackageLoaderPE​(ProfessionalConfiguration config)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addVendorFunctionLibrary​(FunctionLibraryList targetList, Configuration config)` |
    `protected UserFunction` | `makeFunction​(java.lang.String flags)` |
    `protected boolean` | `processComponentReference​(StylesheetPackage pack, ComponentInvocation call)` |
    `protected void` | `readSchemaNamespaces​(NodeInfo packageElement)` |

    - ### Methods inherited from class net.sf.saxon.trans.PackageLoaderHE

      `addCompletionAction, getChild, getChildExpressionArray, getChildExpressionList, getChildWithRole, getConfiguration, getExpressionWithRole, getFirstChildExpression, getInheritedAttribute, getIntegerAttribute, getListOfQNameAttribute, getNthChildExpression, getOperator, getPackage, getPackStack, getPatternWithRole, getQNameAttribute, getSecondChildExpression, getTypeAttribute, loadExpression, loadPackage, loadPackageDoc, loadPackageElement, makeAtomicComparer, makeRetainedStaticContext, needsEELicense, needsPELicense, parseAlphaCode, parseAlphaCodeForItemType, parseItemTypeAttribute, parseSequenceType, processAccumulatorList, readFunction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PackageLoaderPE

          public PackageLoaderPE​(ProfessionalConfiguration config)

  - ### Method Detail

    - #### readSchemaNamespaces

          protected void readSchemaNamespaces​(NodeInfo packageElement)
                                       throws XPathException

      Overrides:
        `readSchemaNamespaces` in class `PackageLoaderHE`
      Throws:
        `XPathException`

    - #### makeFunction

          protected UserFunction makeFunction​(java.lang.String flags)

      Overrides:
        `makeFunction` in class `PackageLoaderHE`

    - #### processComponentReference

          protected boolean processComponentReference​(StylesheetPackage pack,
                                                      ComponentInvocation call)
                                               throws XPathException

      Overrides:
        `processComponentReference` in class `PackageLoaderHE`
      Throws:
        `XPathException`

    - #### addVendorFunctionLibrary

          protected void addVendorFunctionLibrary​(FunctionLibraryList targetList,
                                                  Configuration config)

      Overrides:
        `addVendorFunctionLibrary` in class `PackageLoaderHE`